Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Module timelinepanel :: Class InputHandlerState |
[frames] | no frames]

# Class InputHandlerState

source code

    object --+
             |
            InputHandlerState

Instance Methods
__init__(self, canvas, status_bar, edit_controller, config) x.__init__(...) initializes x; see help(type(x)) for signature | source code
ok_to_edit(self) | source code
edit_ends(self) | source code
display_status(self, message) | source code
change_to_no_op(self) | source code
change_to_move_by_drag(self, event, start_drag_time) | source code
change_to_zoom_by_drag(self, cursor) | source code
change_to_select(self, cursor) | source code
change_to_resize_by_drag(self, event, direction) | source code
change_to_scroll_by_drag(self, cursor) | source code
change_to_create_period_event_by_drag(self, cursor) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, canvas, status_bar, edit_controller, config) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)